var savedDownloadId = null;

function browserAction_onClicked(tab) {
	console.log("browserAction_onClicked", "savedDownloadId", savedDownloadId);
	
	var blob = new Blob(["Pass information to downloads.download()"], {
		type: 'text/plain'
	});
	var url = URL.createObjectURL(blob);
	
	browser.downloads.download({
		filename: "Pass_Information.txt",
		url: url,
		conflictAction: "overwrite",
		saveAs: false,
	}).then(
		function(id) {
			savedDownloadId = id
			console.log("browser.downloads.download.then()", "savedDownloadId", savedDownloadId);
		},
		function(error) {
			console.log(error);
		}
	);
}

function downloads_onCreated(downloadItem) {
	console.log("downloads_onCreated", "savedDownloadId", savedDownloadId);
}

function downloads_onErased(downloadId) {
	console.log("downloads_onErased", "savedDownloadId", savedDownloadId);
}

function downloads_onChanged(downloadDelta) {
	console.log("downloads_onChanged", "savedDownloadId", savedDownloadId);
}

browser.browserAction.onClicked.addListener(browserAction_onClicked);
browser.downloads.onCreated.addListener(downloads_onCreated);
browser.downloads.onErased.addListener(downloads_onErased);
browser.downloads.onChanged.addListener(downloads_onChanged);
